Bug 412571 - yelp fails to open documentation for teg
yelp fails to open documentation for teg
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yelp (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-05 13:42 EST by josef radinger
Modified: 2009-08-26 22:18 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.11.2-19.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-26 22:17:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
crash report (343.14 KB, text/plain)
2008-06-12 10:33 EDT, Matěj Cepl
no flags Details

  None (edit)
Description josef radinger 2007-12-05 13:42:40 EST
Description of problem:


Version-Release number of selected component (if applicable):


go to help -> crash
Comment 1 Bug Zapper 2008-05-14 00:05:43 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 petrosyan 2008-06-05 00:58:39 EDT
It is not crashing. It is simply taking a long time to load.
When you choose "help" it launches the following command:

gnome-help ghelp:///usr/share/gnome/help/teg/C/teg.sgml

and this command freezes for a little while, and then starts relaunching itself.

to reproduce this bug one needs to install 'teg' package.
Comment 3 Matěj Cepl 2008-06-12 10:33:13 EDT
Created attachment 309072 [details]
crash report

Well, I didn't have that luck. gnome-help crashed on me.
Comment 4 Matěj Cepl 2008-06-12 10:34:43 EDT
and run still new and new instances of yelp, which all crashed.
yelp-2.22.1-1.fc9.i386
Comment 5 Matěj Cepl 2008-06-12 10:36:11 EDT
Other applications' help (e.g., gedit) works like a charm. Could it be that all
modern applications use XML, whereas TEG still got stuck with SGML?
Comment 6 josef radinger 2008-06-13 03:28:34 EDT
is there some "easy" way to convert sgnl to xml?
Comment 7 Matěj Cepl 2008-06-13 11:37:21 EDT
sgml2xml from opensp package. It is not 100% of course, you have to clean up the
result with editor and xmllint to make it valid Docbook XML, but it shouldn't be
that difficult. I think if you manage to create a good XML, upstream could be
thankful to you.
Comment 8 James Bannon 2008-06-18 17:10:48 EDT
When I try it, it just gives a segmentation fault. No indication of cause, apart
from the following lines output just before the fault:

Yelp-WARNING **: Yelper initialization failed for 0x84f46f8

OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.

Some way of fixing the problem would be appreciated. The version is GNOME yelp
2.22.1. Incidentally, this started happening after the upgrade to xulrunner.
Comment 9 Nicola Soranzo 2008-06-19 13:03:07 EDT
(In reply to comment #8)
> When I try it, it just gives a segmentation fault. No indication of cause, apart
> from the following lines output just before the fault:
> 
> Yelp-WARNING **: Yelper initialization failed for 0x84f46f8
> 
> OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
> OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
> OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
> OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
> OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
> OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
> 
> Some way of fixing the problem would be appreciated. The version is GNOME yelp
> 2.22.1. Incidentally, this started happening after the upgrade to xulrunner.

That's a different problem, look at bug #448307.
Comment 10 Matthew Barnes 2008-06-29 11:44:24 EDT
Is this still an issue?  I installed the teg package and opened System -> Help
with yelp-2.22.1-3.fc9 and it started right up with no unusual delay.
Comment 11 James Bannon 2008-06-29 13:22:45 EDT
This is rather confusing as there are several issues open reporting very similar
behaviour. Yelp no longer crashes immediately on start-up, but there is still a
problem with it dealing with texinfo documents.I don't think it's converting
these properly.
Comment 12 petrosyan 2008-06-29 18:11:02 EDT
I am still seeing this bug as reported with yelp-2.22.1-3.fc9.x86_64
Comment 13 petrosyan 2008-11-30 13:05:46 EST
this bug is still present in Fedora 10
Comment 14 Matthew Barnes 2008-12-01 09:52:50 EST
Verified the problem as described in comment #2.  I'm not seeing a crash.  Adjusting summary.
Comment 15 Matthew Barnes 2009-06-21 09:45:44 EDT
It's back to crashing now in Fedora 11.

Thread 1 (Thread 0xb8060af0 (LWP 20057)):
#0  0x008f1422 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00a06e1b in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#2  0x006408af in g_spawn_sync () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x00640bbc in g_spawn_command_line_sync () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x004713cc in run_bug_buddy (appname=<value optimized out>,·
    pid=<value optimized out>, minidump_path=0x0) at gnome-breakpad.cc:409
        res = <value optimized out>
        warning_file = <value optimized out>
        exec_str = 0x9033100 "bug-buddy --appname=\"gnome-help\" --include=\"/tmp/bug-buddy-KP8JVU\" --unlink-tempfile --pid=20057"
        args_str = 0x8d0bd80
        error = 0x0
#5  0x00471dc2 in check_if_gdb () at gnome-breakpad.cc:480
        gdb = 0x8cbb898 "/usr/bin/gdb"
        pid = 20057
        mypath = 0x9033100 "bug-buddy --appname=\"gnome-help\" --include=\"/tmp/bug-buddy-KP8JVU\" --unlink-tempfile --pid=20057"
        has_debug_symbols = true
        appname = 0x8cc2998 "gnome-help"
#6  bugbuddy_segv_handle () at gnome-breakpad.cc:223
        in_segv = 1
#7  <signal handler called>
No symbol table info available.
#8  0x008f1422 in __kernel_vsyscall ()
No symbol table info available.
#9  0x00e0b7c1 in raise () from /lib/libc.so.6
No symbol table info available.
#10 0x00e0d092 in abort () from /lib/libc.so.6
No symbol table info available.
#11 0x00612033 in g_logv () from /lib/libglib-2.0.so.0
No symbol table info available.
#12 0x00612066 in g_log () from /lib/libglib-2.0.so.0
No symbol table info available.
#13 0x0805ee14 in main_slave_start (url=<value optimized out>)
    at yelp-main.c:139
        proxy = <value optimized out>
        error = 0x8d0bb30
#14 main (url=<value optimized out>) at yelp-main.c:416
        program = 0x8cc2c48
        url = 0x9082dc8 "ghelp:///usr/share/gnome/help/teg/C/teg.sgml"
        client = <value optimized out>
        local_id = <value optimized out>
        context = <value optimized out>
Comment 16 josef radinger 2009-07-03 14:24:26 EDT
disabled help for now. will have to look into that later. package needs testing in fc11 and fc10
Comment 17 Fedora Update System 2009-07-03 14:27:13 EDT
teg-0.11.2-18.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/teg-0.11.2-18.fc11
Comment 18 Fedora Update System 2009-07-03 14:29:34 EDT
teg-0.11.2-18.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/teg-0.11.2-18.fc10
Comment 19 Fedora Update System 2009-07-17 05:26:59 EDT
teg-0.11.2-19.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/teg-0.11.2-19.fc10
Comment 20 Fedora Update System 2009-07-17 05:27:04 EDT
teg-0.11.2-19.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/teg-0.11.2-19.fc11
Comment 21 Fedora Update System 2009-07-22 17:56:19 EDT
teg-0.11.2-19.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update teg'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7872
Comment 22 Fedora Update System 2009-07-22 18:08:20 EDT
teg-0.11.2-19.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update teg'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7917
Comment 23 Fedora Update System 2009-08-26 22:16:56 EDT
teg-0.11.2-19.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2009-08-26 22:18:13 EDT
teg-0.11.2-19.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.